Open SCAP Library: oscap_text Struct Reference

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Public Member Functions | Data Fields
oscap_text Struct Reference
Common » STRINGS

Representation of internationalizable character strings. More...

`#include <oscap_text.h>`

## Public Member Functions
struct oscap_text * | oscap_text_new (void)
| Create an internationalized text field. More...
struct oscap_text * | oscap_text_clone (const struct oscap_text *text)
| Clone an internationalized text field. More...
struct oscap_text * | oscap_text_new_html (void)
| Create an internationalized text field with HTML content. More...
void | oscap_text_free (struct oscap_text *)
| Release an internationalized text field.
Getters
Return value is pointer to structure's member. Do not free unless you null the pointer in the structure. Use remove function otherwise.
const char * | oscap_text_get_text (const struct oscap_text *text)
const char * | oscap_text_get_lang (const struct oscap_text *text)
char * | oscap_text_get_plaintext (const struct oscap_text *text)
| Get plaintext representation of the text. More...
bool | oscap_text_get_is_html (const struct oscap_text *text)
| Does this text posses a HTML content?
bool | oscap_text_get_can_substitute (const struct oscap_text *text)
| Can this text contain substitutions?
bool | oscap_text_get_can_override (const struct oscap_text *text)
| Can this text override parent content?
bool | oscap_text_get_overrides (const struct oscap_text *text)
| Does this text override parent content?
Setters
For lists use add functions. Parameters of set functions are duplicated in memory and need to be freed by caller.
bool | oscap_text_set_overrides (struct oscap_text *text, bool overrides)
| Set whether this text overrides parent content.
bool | oscap_text_set_text (struct oscap_text *text, const char *string)
bool | oscap_text_set_lang (struct oscap_text *text, const char *string)

## Data Fields
char * | lang
char * | text
struct oscap_text_traits | traits

## Detailed Description

Representation of internationalizable character strings.

The documentation for this struct was generated from the following files:

- text_priv.h
- oscap_text.h